catalog:
  title: Cogimon LWR

templates:
- runnable
- base

variables:
  description: FSMT Cogimon LWR nightly
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  - cogimon
  maintainer: Florian Lier
  runnable: true

  branches:
  - master

  extra-requires:
  - nature: cmake
    target: fsmt-exp-cogimon-minimal-nightly

  shell.command: |
    #!/bin/bash
    export DISPLAY=:0.0;
    export PYTHONPATH=${toolkit.dir}/lib/python2.7/site-packages
    export PREFIX=${toolkit.dir}
    ${toolkit.dir}/bin/fsmt -c -o $WORKSPACE ${toolkit.dir}/etc/fsmt-experiments/cogimon-lwr-nightly/cogimon-lwr-nightly.scxml;
